Bug 1816184 - disconnected community catalog always restart because healthcheck failed
Summary: disconnected community catalog always restart because healthcheck failed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.3.z
Hardware: x86_64
OS: All
high
high
Target Milestone: ---
: 4.4.z
Assignee: Nick Hale
QA Contact: yhui
URL:
Whiteboard:
Depends On: 1815957
Blocks: 1816185
TreeView+ depends on / blocked
 
Reported: 2020-03-23 14:00 UTC by Nick Hale
Modified: 2020-05-26 16:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1815957
: 1816185 (view as bug list)
Environment:
Last Closed: 2020-05-26 16:50:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-registry pull 276 None closed [release-4.4] Bug 1816184: fix(dns): fix slow dns resolution of localhost for grpc health probe #269 2020-06-18 13:36:11 UTC
Red Hat Product Errata RHBA-2020:2180 None None None 2020-05-26 16:50:53 UTC

Comment 7 yhui 2020-05-18 08:34:52 UTC
[root@preserve-olm-env 1816184]# oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-05-17-221856   True        False         4h30m   Cluster version is 4.4.0-0.nightly-2020-05-17-221856
[root@preserve-olm-env 1816184]# oc exec catalog-operator-75ddb884f8-khmfw -n openshift-operator-lifecycle-manager -- olm --version
OLM version: 0.14.2
git commit: f8ef76c241abfeeb45fa680599b9c683ec3173cf

Steps to test:
1. install ocp 4.4 cluster on azure (not aws)
2. create the community catalog source on the cluster

cat <<EOF > community-operator-catalog.yaml
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: community-operator-catalog
  namespace: openshift-marketplace
spec:
  displayName: Community Operator Catalog
  sourceType: grpc
  image: docker.io/wangzheng422/operator-catalog:community-2020-02-29
  publisher: Community
EOF
oc create -f community-operator-catalog.yaml


3. check the pod status
[root@preserve-olm-env 1816184]# oc get pod -n openshift-marketplace
NAME                                    READY   STATUS    RESTARTS   AGE
certified-operators-75bd4b8cbb-g9dz7    1/1     Running   0          24m
community-operator-catalog-9xkth        1/1     Running   0          9m34s
community-operators-66db4f7988-b6dt6    1/1     Running   0          4h25m
marketplace-operator-67955fdcc8-qldj6   1/1     Running   0          4h26m
qe-app-registry-6556d489b8-m2bg9        1/1     Running   0          4h16m
redhat-marketplace-66bd56599-lwxb9      1/1     Running   0          4h25m
redhat-operators-58b7fcd7c5-f6pkh       1/1     Running   0          84m
[root@preserve-olm-env 1816184]# oc logs community-operator-catalog-9xkth -n openshift-marketplace
time="2020-05-18T08:23:22Z" level=info msg="serving registry" database=/bundles.db port=50051

The pod didn't restart. Verify the bug.

Comment 9 errata-xmlrpc 2020-05-26 16:50:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2180


Note You need to log in before you can comment on or make changes to this bug.